Puppy Linux Discussion Forum Forum Index Puppy Linux Discussion Forum
Puppy HOME page : puppylinux.com
"THE" alternative forum : puppylinux.info
 
 FAQFAQ   SearchSearch   MemberlistMemberlist   UsergroupsUsergroups   RegisterRegister 
 ProfileProfile   Log in to check your private messagesLog in to check your private messages   Log inLog in 

The time now is Fri 19 Oct 2018, 14:07
All times are UTC - 4
 Forum index » Advanced Topics » Additional Software (PETs, n' stuff) » Documents
WPS Office (Kingsoft) Latest Beta + Language Packs 06/15/17
Post new topic   Reply to topic View previous topic :: View next topic
Page 2 of 3 [35 Posts]   Goto page: Previous 1, 2, 3 Next
Author Message
perdido


Joined: 09 Dec 2013
Posts: 987
Location: ¿Altair IV , Just north of Eeyore Junction.?

PostPosted: Wed 03 Feb 2016, 16:46    Post subject:  

     Updated SFS and PET to latest version wps-office_10.1.0.5503~a20p2_i386 dated 02-03-16

     See http://www.murga-linux.com/puppy/viewtopic.php?t=102185
     
     

_________________
Giving with an expectation for return brings misery.
Back to top
View user's profile Send private message 
perdido


Joined: 09 Dec 2013
Posts: 987
Location: ¿Altair IV , Just north of Eeyore Junction.?

PostPosted: Mon 23 May 2016, 11:17    Post subject:  

Updated the language pack PET files to 05/21/16
Now includes 17 languages. See original post

.

_________________
Giving with an expectation for return brings misery.
Back to top
View user's profile Send private message 
perdido


Joined: 09 Dec 2013
Posts: 987
Location: ¿Altair IV , Just north of Eeyore Junction.?

PostPosted: Mon 27 Jun 2016, 23:46    Post subject:  

 Updated SFS and PET to latest version wps-office_10.1.0.5672~a21_i386 dated 06-24-16

     See http://www.murga-linux.com/puppy/viewtopic.php?t=102185

_________________
Giving with an expectation for return brings misery.
Back to top
View user's profile Send private message 
perdido


Joined: 09 Dec 2013
Posts: 987
Location: ¿Altair IV , Just north of Eeyore Junction.?

PostPosted: Mon 19 Jun 2017, 12:49    Post subject:  

Updated SFS and PET to latest version wps-office_10.1.0.5705~a21_i386 dated 06-15-17

     See http://www.murga-linux.com/puppy/viewtopic.php?t=102185

It had been almost a year since the last release and I was afraid they had abandoned linux developement,
though on the china forum there were occasional mentions of a linux update and that patience is required due
to personnel shortages. They concentrate primarily on the windows version but seem to have a "soft spot" for linux.

The english language linux forum on their website is a total shambles though you can use google translate to read the chinese forum.

.



.

_________________
Giving with an expectation for return brings misery.
Back to top
View user's profile Send private message 
Pelo

Joined: 10 Sep 2011
Posts: 12591
Location: Mer méditerrannée (1 kms°)

PostPosted: Wed 13 Sep 2017, 04:25    Post subject: Kingsoft is my prefered,  

My windows seven is seldom used, so i download big office suites on it, if ever i would need them for office work at home . Kingsoft is my prefered, compare to OOo or so popular Libre-Office here in our Puppy Linux Forum.
I will classiy as below
Puppy Linux first, with Abiword and Gnumeric
Googles docs, cloud (i use it)
Kingsoft on windows seven, there to be used if needed

IMO and for lot of people, Suites are like swiss knife, each tool is a light tool, less complete than the application only. You take place in your computer with apps you will never use.
Gnumeric can be 6MB, but it is only 6MB, for a spreadsheet application as good as EXCEL.
kingston.jpg
 Description   Used in the past with Puppy (used no, but installed)
 Filesize   45.25 KB
 Viewed   604 Time(s)

kingston.jpg


_________________
Passenger Pelo ! don't ask him to repair the aircraft. Don't use him as a demining dog .... pleeease.
Back to top
View user's profile Send private message Yahoo Messenger 
ozsouth

Joined: 01 Jan 2010
Posts: 362
Location: S.E Australia

PostPosted: Tue 21 Nov 2017, 21:08    Post subject:  

In the WPS office June 2017 release (10.1.0.5707), I have found several dependency issues for Slacko64 6.9.9.9 k4.4.
The June 2016 version (10.1.0.5672) has no dependency issues and the landscape printing issue was fixed.
It does 'call home' when started - can be disabled by appending /etc/hosts with line: 127.0.0.2 wps-community.org
but tcpdump info shows it responds with the latest version number, so appears to be just checking for updates.
Back to top
View user's profile Send private message 
perdido


Joined: 09 Dec 2013
Posts: 987
Location: ¿Altair IV , Just north of Eeyore Junction.?

PostPosted: Wed 22 Nov 2017, 01:32    Post subject:  

ozsouth wrote:
In the WPS office June 2017 release (10.1.0.5707), I have found several dependency issues for Slacko64 6.9.9.9 k4.4.
The June 2016 version (10.1.0.5672) has no dependency issues and the landscape printing issue was fixed.
It does 'call home' when started - can be disabled by appending /etc/hosts with line: 127.0.0.2 wps-community.org
but tcpdump info shows it responds with the latest version number, so appears to be just checking for updates.


Hi ozsouth,
Thanks for the feedback, much appreciated.

WPS has a 64-bit version for download from their website
http://wps-community.org/download.html
Might be worth a shot in the 64-bit slacko if you want a 64-bit WPS

Just a note if you install the 64-bit .deb

If the 64-bit behaves like the 32-bit version then it will complain about missing fonts and the .desktop files will be a little
wonky. That all can probably be fixed by taking the /usr/share/fonts/default/TTF directory from the 32-bit install and
adding it to the /usr/share/fonts/default/ of the 64-bit slacko. The .desktop files can be fixed by copying the following
wps desktop files from /usr/share/applications/ of the 32-bit install to /usr/share/applications/ of the 64-bit install.
wps-office-et.desktop
wps-office-wpp.desktop
wps-office-wps.desktop

I did not do the 64-bit as sfs/pet because at the time I did not have a 64-bit machine.
Maybe I should put up the 64-bit version now that I do have a modern box?

.
Back to top
View user's profile Send private message 
wiak

Joined: 11 Dec 2007
Posts: 957
Location: not Bulgaria

PostPosted: Wed 22 Nov 2017, 03:12    Post subject:  

WPS Office is the only office suite I use on my Linux systems (32bit and 64bit).

I suspect the fact that LibreOffice is open-source accounts for the fact much more is posted about it in Puppy Threads. On my systems LibreOffice is somewhat clunky in operation (and feels really slow compared to WPS Office, so no contest for me really). Does LibreOffice have more functionality(?) - if it does seems to be in areas I have no need.

Maybe some are unsure of WPS Office because it is proprietary, closed-source, from China? Yes, it calls home to check on updates, but lots of software does that. Anyway, I've been using WPS for quite a few years and never had an issue and its Microsoft document compatibility seems better to me than I ever found with LibreOffice (or OpenOffice) or even SoftMaker office (which I have a 2010 paid official license for).

Of course, I doubt WPS Office will be usable as free forever, so I'm careful to keep an archived copy of my existing version in the hope I can always continue using it.

Also, main issue for me, from its license perspective is the legality of actually including it in distributions - I haven't checked but often (like Adobe products or Skype) there can be a legal issues about distributing such software - hence the old GetFlash, GetSkype script-type 'solutions' so the actual software is then downloaded from the official site. Maybe that's why Puppy distribution builders tend to ignore WPA Office even when including a large office suite like LibreOffice? It certainly can't be because of size/speed issues - WPS Office far more compatible with small distribution building than LibreOffice in these respects.

wiak
Back to top
View user's profile Send private message 
ozsouth

Joined: 01 Jan 2010
Posts: 362
Location: S.E Australia

PostPosted: Wed 22 Nov 2017, 04:25    Post subject:  

I have been enjoying the 64bit v10.1.0.5672 (from 2016), for the last month, as I had video problems with most versions of Libreoffice in
Slacko64 6.9.9.9 k4.4. Runs well, and I've made a 73mb .sfs (sorry licence prohibits distribution) by removing most styles & language files.
Back to top
View user's profile Send private message 
Disco Makberto

Joined: 07 Aug 2011
Posts: 167

PostPosted: Mon 27 Nov 2017, 03:32    Post subject:  

Hi! As some of you might be already aware of, the latest pet of "WPS Office" (as of Nov. 2017) or wps-office_10.1.0.5705-a21_i386.pet is no longer readily compatible with Puppy Linux Precise 5.7.1 (all previous pet versions have no issues). In this sense, the console reports that libpulse-mainloop-glib.so.0 is missing. I found the library on FileWatcher, and after installing it on usr/lib, the before-mentioned version of "WPS Office" works.

I took the liberty of creating a tar gzip (tar.gz) file of this missing library which I am sharing here with you. If you want your Puppy Linux Precise 5.7.1 to work with the latest "WPS Office", please extract the tar.gz file to usr/lib.

I hope this helps.

Carlos Albert
D-Mak

P.S.: The library is 32-bit.
libpulse-mainloop-glib.so.0.tar.gz
Description  Please extract to usr/lib.
gz

 Download 
Filename  libpulse-mainloop-glib.so.0.tar.gz 
Filesize  6.31 KB 
Downloaded  163 Time(s) 
Back to top
View user's profile Send private message 
perdido


Joined: 09 Dec 2013
Posts: 987
Location: ¿Altair IV , Just north of Eeyore Junction.?

PostPosted: Mon 27 Nov 2017, 20:13    Post subject:  

Disco Makberto wrote:
Hi! As some of you might be already aware of, the latest pet of "WPS Office" (as of Nov. 2017) or wps-office_10.1.0.5705-a21_i386.pet is no longer readily compatible with Puppy Linux Precise 5.7.1 (all previous pet versions have no issues). In this sense, the console reports that libpulse-mainloop-glib.so.0 is missing. I found the library on FileWatcher, and after installing it on usr/lib, the before-mentioned version of "WPS Office" works.

I took the liberty of creating a tar gzip (tar.gz) file of this missing library which I am sharing here with you. If you want your Puppy Linux Precise 5.7.1 to work with the latest "WPS Office", please extract the tar.gz file to usr/lib.

I hope this helps.

Carlos Albert
D-Mak

P.S.: The library is 32-bit.


Hi Disco Makberto,

Thanks for mentioning the issue with precise 5.7.1 and wps-office_10.1.0.5705-a21_i386 plus providing the missing libpulse-mainloop-glib.so.0 as a fix.

I was not aware of this issue as the pet/sfs files were tested on puppy tahr. Good Catch!

.
Back to top
View user's profile Send private message 
perdido


Joined: 09 Dec 2013
Posts: 987
Location: ¿Altair IV , Just north of Eeyore Junction.?

PostPosted: Thu 30 Nov 2017, 01:02    Post subject:  

Puppy Precise 5.7.1 needs an additional lib file to run the latest version wps-office_10.1.0.5705-a21_i386 of wps office.

Disco Makberto supplied the missing lib with instructions to place it in /usr/lib/

I turned it into a pet file & added a link to it in original post.
wps-office_5705-a21-precise-fix.pet
Description 
pet

 Download 
Filename  wps-office_5705-a21-precise-fix.pet 
Filesize  6.61 KB 
Downloaded  344 Time(s) 
Back to top
View user's profile Send private message 
Disco Makberto

Joined: 07 Aug 2011
Posts: 167

PostPosted: Wed 13 Dec 2017, 01:45    Post subject:  

Hello, Perdido!

I am glad to have been of some help! (:

Carlos Albert
Disco Makberto
Back to top
View user's profile Send private message 
RetroTechGuy


Joined: 15 Dec 2009
Posts: 2911
Location: USA

PostPosted: Fri 05 Jan 2018, 11:30    Post subject:  

perdido wrote:
Puppy Precise 5.7.1 needs an additional lib file to run the latest version wps-office_10.1.0.5705-a21_i386 of wps office.

Disco Makberto supplied the missing lib with instructions to place it in /usr/lib/

I turned it into a pet file & added a link to it in original post.


Thanks Perdido.

Do you know if this will run under 5.28.005 (Lupu)? Or will I need to upgrade to one of the newer versions?

Unless I'm missing something, the apparent answer is that 5.28.005 doesn't see the contents of the .sfs after loading it and rebooting. It also didn't seem to find LibreOffice using the .sfs...

_________________
Add swapfile
WellMinded Search
Back to top
View user's profile Send private message 
wiak

Joined: 11 Dec 2007
Posts: 957
Location: not Bulgaria

PostPosted: Wed 10 Jan 2018, 18:57    Post subject:  

perdido wrote:
starhawk wrote:
Code:
# wps
/usr/bin/wps: line 38: 28852 Illegal instruction     ${gInstallPath}/office6/${gApp} ${gOptExt} ${gOpt} "$@"
#


This happens regardless of whether "$@" is in the *.desktop file. Puppy Precise 571 Retro, Dell Latitude CPi D300XT (Specs. Correction: max ram 256mb, which mine has).

EDIT: local guru says I've got too old a relic. Guess I'll check out Softmaker, which is known working on this system with this Pup... oh well...


Illegal instruction is cpu too old, so we learned that it does not run on PII processor. Thanks for the feedback.


Chance I can help here, and certainly for 64bit version wps a21_x86_64 version if not the same issue on starhawk's old system. I get the exact same error message if running say:

Code:
./wps


on my XenialDog64 system. However, on my system it is a Qt-related issue, which is fixed (i.e. wps works) if I instead start the program with command:

Code:
./wps -style gtk+


The a20 version didn't need these extra commandline options but the a21 version does on XenialDog64 at least.

Hope that information helps someone.

wiak
Back to top
View user's profile Send private message 
Display posts from previous:   Sort by:   
Page 2 of 3 [35 Posts]   Goto page: Previous 1, 2, 3 Next
Post new topic   Reply to topic View previous topic :: View next topic
 Forum index » Advanced Topics » Additional Software (PETs, n' stuff) » Documents
Jump to:  

You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum
You cannot attach files in this forum
You can download files in this forum


Powered by phpBB © 2001, 2005 phpBB Group
[ Time: 0.1634s ][ Queries: 14 (0.1011s) ][ GZIP on ]